Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface Chart

All Known Implementing Classes:
  JSMChart

    public interface Chart

Method Summary
`java.lang.String` | `getBackgroundColor()`
`java.lang.String` | `getDefaultSeriesType()`
`int` | `getHeight()`
`int` | `getMarginBottom()`
`int` | `getMarginLeft()`
`int` | `getMarginRight()`
`int` | `getMarginTop()`
`java.lang.Object` | `getRenderTo()`
`int` | `getWidth()`
`java.lang.String` | `getZoomType()`
`Chart` | `setBackgroundColor(java.lang.String backgroundColor)`
`Chart` | `setDefaultSeriesType(SeriesType type)`
`Chart` | `setHeight(int height)`
`Chart` | `setMarginBottom(int marginBottom)`
`Chart` | `setMarginLeft(int marginLeft)`
`Chart` | `setMarginRight(int marginRight)`
`Chart` | `setMarginTop(int marginTop)`
`Chart` | `setWidth(int width)`
`Chart` | `setZoomType(java.lang.String zoomType)`

Method Detail

### getMarginRight

    int getMarginRight()

### getMarginBottom

    int getMarginBottom()

### getMarginLeft

    int getMarginLeft()

### getMarginTop

    int getMarginTop()

### getZoomType

    java.lang.String getZoomType()

### getBackgroundColor

    java.lang.String getBackgroundColor()

### getDefaultSeriesType

    java.lang.String getDefaultSeriesType()

### getRenderTo

    java.lang.Object getRenderTo()

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### setMarginRight

    Chart setMarginRight(int marginRight)

### setMarginBottom

    Chart setMarginBottom(int marginBottom)

### setMarginLeft

    Chart setMarginLeft(int marginLeft)

### setMarginTop

    Chart setMarginTop(int marginTop)

### setZoomType

    Chart setZoomType(java.lang.String zoomType)

### setBackgroundColor

    Chart setBackgroundColor(java.lang.String backgroundColor)

### setDefaultSeriesType

    Chart setDefaultSeriesType(SeriesType type)

### setWidth

    Chart setWidth(int width)

### setHeight

    Chart setHeight(int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD